"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Body;
exports.clone = clone;
exports.extractContentType = extractContentType;
exports.getTotalBytes = getTotalBytes;
exports.writeToStream = writeToStream;

var _stream = _interopRequireWildcard(require("stream"));

var _fetchBlob = _interopRequireDefault(require("fetch-blob"));

var _fetchError = _interopRequireDefault(require("./errors/fetch-error"));

var _is = require("./utils/is");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function cov_c08i65p7u() {
  var path = "/home/xxczaki/dev/node-fetch/src/body.js";
  var hash = "86e759c9ef1d9734feb2856002172dd328717193";
  var global = new Function("return this")();
  var gcv = "__coverage__";
  var coverageData = {
    path: "/home/xxczaki/dev/node-fetch/src/body.js",
    statementMap: {
      "0": {
        start: {
          line: 14,
          column: 18
        },
        end: {
          line: 14,
          column: 42
        }
      },
      "1": {
        start: {
          line: 29,
          column: 1
        },
        end: {
          line: 51,
          column: 2
        }
      },
      "2": {
        start: {
          line: 31,
          column: 2
        },
        end: {
          line: 31,
          column: 14
        }
      },
      "3": {
        start: {
          line: 32,
          column: 8
        },
        end: {
          line: 51,
          column: 2
        }
      },
      "4": {
        start: {
          line: 34,
          column: 2
        },
        end: {
          line: 34,
          column: 38
        }
      },
      "5": {
        start: {
          line: 35,
          column: 8
        },
        end: {
          line: 51,
          column: 2
        }
      },
      "6": {
        start: {
          line: 37,
          column: 8
        },
        end: {
          line: 51,
          column: 2
        }
      },
      "7": {
        start: {
          line: 39,
          column: 8
        },
        end: {
          line: 51,
          column: 2
        }
      },
      "8": {
        start: {
          line: 41,
          column: 2
        },
        end: {
          line: 41,
          column: 27
        }
      },
      "9": {
        start: {
          line: 42,
          column: 8
        },
        end: {
          line: 51,
          column: 2
        }
      },
      "10": {
        start: {
          line: 44,
          column: 2
        },
        end: {
          line: 44,
          column: 68
        }
      },
      "11": {
        start: {
          line: 45,
          column: 8
        },
        end: {
          line: 51,
          column: 2
        }
      },
      "12": {
        start: {
          line: 50,
          column: 2
        },
        end: {
          line: 50,
          column: 35
        }
      },
      "13": {
        start: {
          line: 53,
          column: 1
        },
        end: {
          line: 57,
          column: 3
        }
      },
      "14": {
        start: {
          line: 58,
          column: 1
        },
        end: {
          line: 58,
          column: 18
        }
      },
      "15": {
        start: {
          line: 59,
          column: 1
        },
        end: {
          line: 59,
          column: 24
        }
      },
      "16": {
        start: {
          line: 61,
          column: 1
        },
        end: {
          line: 68,
          column: 2
        }
      },
      "17": {
        start: {
          line: 62,
          column: 2
        },
        end: {
          line: 67,
          column: 5
        }
      },
      "18": {
        start: {
          line: 63,
          column: 17
        },
        end: {
          line: 65,
          column: 108
        }
      },
      "19": {
        start: {
          line: 66,
          column: 3
        },
        end: {
          line: 66,
          column: 33
        }
      },
      "20": {
        start: {
          line: 71,
          column: 0
        },
        end: {
          line: 128,
          column: 2
        }
      },
      "21": {
        start: {
          line: 73,
          column: 2
        },
        end: {
          line: 73,
          column: 30
        }
      },
      "22": {
        start: {
          line: 77,
          column: 2
        },
        end: {
          line: 77,
          column: 35
        }
      },
      "23": {
        start: {
          line: 86,
          column: 2
        },
        end: {
          line: 86,
          column: 126
        }
      },
      "24": {
        start: {
          line: 86,
          column: 75
        },
        end: {
          line: 86,
          column: 124
        }
      },
      "25": {
        start: {
          line: 95,
          column: 13
        },
        end: {
          line: 95,
          column: 120
        }
      },
      "26": {
        start: {
          line: 96,
          column: 2
        },
        end: {
          line: 99,
          column: 6
        }
      },
      "27": {
        start: {
          line: 96,
          column: 44
        },
        end: {
          line: 99,
          column: 4
        }
      },
      "28": {
        start: {
          line: 108,
          column: 2
        },
        end: {
          line: 108,
          column: 78
        }
      },
      "29": {
        start: {
          line: 108,
          column: 47
        },
        end: {
          line: 108,
          column: 76
        }
      },
      "30": {
        start: {
          line: 117,
          column: 2
        },
        end: {
          line: 117,
          column: 66
        }
      },
      "31": {
        start: {
          line: 117,
          column: 47
        },
        end: {
          line: 117,
          column: 64
        }
      },
      "32": {
        start: {
          line: 126,
          column: 2
        },
        end: {
          line: 126,
          column: 32
        }
      },
      "33": {
        start: {
          line: 131,
          column: 0
        },
        end: {
          line: 138,
          column: 3
        }
      },
      "34": {
        start: {
          line: 140,
          column: 0
        },
        end: {
          line: 148,
          column: 2
        }
      },
      "35": {
        start: {
          line: 141,
          column: 1
        },
        end: {
          line: 147,
          column: 2
        }
      },
      "36": {
        start: {
          line: 143,
          column: 2
        },
        end: {
          line: 146,
          column: 3
        }
      },
      "37": {
        start: {
          line: 144,
          column: 16
        },
        end: {
          line: 144,
          column: 69
        }
      },
      "38": {
        start: {
          line: 145,
          column: 3
        },
        end: {
          line: 145,
          column: 44
        }
      },
      "39": {
        start: {
          line: 158,
          column: 1
        },
        end: {
          line: 160,
          column: 2
        }
      },
      "40": {
        start: {
          line: 159,
          column: 2
        },
        end: {
          line: 159,
          column: 82
        }
      },
      "41": {
        start: {
          line: 162,
          column: 1
        },
        end: {
          line: 162,
          column: 34
        }
      },
      "42": {
        start: {
          line: 164,
          column: 1
        },
        end: {
          line: 166,
          column: 2
        }
      },
      "43": {
        start: {
          line: 165,
          column: 2
        },
        end: {
          line: 165,
          column: 52
        }
      },
      "44": {
        start: {
          line: 168,
          column: 14
        },
        end: {
          line: 168,
          column: 18
        }
      },
      "45": {
        start: {
          line: 171,
          column: 1
        },
        end: {
          line: 173,
          column: 2
        }
      },
      "46": {
        start: {
          line: 172,
          column: 2
        },
        end: {
          line: 172,
          column: 47
        }
      },
      "47": {
        start: {
          line: 176,
          column: 1
        },
        end: {
          line: 178,
          column: 2
        }
      },
      "48": {
        start: {
          line: 177,
          column: 2
        },
        end: {
          line: 177,
          column: 23
        }
      },
      "49": {
        start: {
          line: 181,
          column: 1
        },
        end: {
          line: 183,
          column: 2
        }
      },
      "50": {
        start: {
          line: 182,
          column: 2
        },
        end: {
          line: 182,
          column: 36
        }
      },
      "51": {
        start: {
          line: 186,
          column: 1
        },
        end: {
          line: 188,
          column: 2
        }
      },
      "52": {
        start: {
          line: 192,
          column: 15
        },
        end: {
          line: 192,
          column: 17
        }
      },
      "53": {
        start: {
          line: 193,
          column: 18
        },
        end: {
          line: 193,
          column: 19
        }
      },
      "54": {
        start: {
          line: 194,
          column: 13
        },
        end: {
          line: 194,
          column: 18
        }
      },
      "55": {
        start: {
          line: 196,
          column: 1
        },
        end: {
          line: 248,
          column: 4
        }
      },
      "56": {
        start: {
          line: 200,
          column: 2
        },
        end: {
          line: 205,
          column: 3
        }
      },
      "57": {
        start: {
          line: 201,
          column: 3
        },
        end: {
          line: 204,
          column: 20
        }
      },
      "58": {
        start: {
          line: 202,
          column: 4
        },
        end: {
          line: 202,
          column: 17
        }
      },
      "59": {
        start: {
          line: 203,
          column: 4
        },
        end: {
          line: 203,
          column: 122
        }
      },
      "60": {
        start: {
          line: 208,
          column: 2
        },
        end: {
          line: 217,
          column: 5
        }
      },
      "61": {
        start: {
          line: 209,
          column: 3
        },
        end: {
          line: 216,
          column: 4
        }
      },
      "62": {
        start: {
          line: 211,
          column: 4
        },
        end: {
          line: 211,
          column: 17
        }
      },
      "63": {
        start: {
          line: 212,
          column: 4
        },
        end: {
          line: 212,
          column: 16
        }
      },
      "64": {
        start: {
          line: 215,
          column: 4
        },
        end: {
          line: 215,
          column: 117
        }
      },
      "65": {
        start: {
          line: 219,
          column: 2
        },
        end: {
          line: 232,
          column: 5
        }
      },
      "66": {
        start: {
          line: 220,
          column: 3
        },
        end: {
          line: 222,
          column: 4
        }
      },
      "67": {
        start: {
          line: 221,
          column: 4
        },
        end: {
          line: 221,
          column: 11
        }
      },
      "68": {
        start: {
          line: 224,
          column: 3
        },
        end: {
          line: 228,
          column: 4
        }
      },
      "69": {
        start: {
          line: 225,
          column: 4
        },
        end: {
          line: 225,
          column: 17
        }
      },
      "70": {
        start: {
          line: 226,
          column: 4
        },
        end: {
          line: 226,
          column: 95
        }
      },
      "71": {
        start: {
          line: 227,
          column: 4
        },
        end: {
          line: 227,
          column: 11
        }
      },
      "72": {
        start: {
          line: 230,
          column: 3
        },
        end: {
          line: 230,
          column: 30
        }
      },
      "73": {
        start: {
          line: 231,
          column: 3
        },
        end: {
          line: 231,
          column: 21
        }
      },
      "74": {
        start: {
          line: 234,
          column: 2
        },
        end: {
          line: 247,
          column: 5
        }
      },
      "75": {
        start: {
          line: 235,
          column: 3
        },
        end: {
          line: 237,
          column: 4
        }
      },
      "76": {
        start: {
          line: 236,
          column: 4
        },
        end: {
          line: 236,
          column: 11
        }
      },
      "77": {
        start: {
          line: 239,
          column: 3
        },
        end: {
          line: 239,
          column: 28
        }
      },
      "78": {
        start: {
          line: 241,
          column: 3
        },
        end: {
          line: 246,
          column: 4
        }
      },
      "79": {
        start: {
          line: 242,
          column: 4
        },
        end: {
          line: 242,
          column: 46
        }
      },
      "80": {
        start: {
          line: 245,
          column: 4
        },
        end: {
          line: 245,
          column: 124
        }
      },
      "81": {
        start: {
          line: 261,
          column: 14
        },
        end: {
          line: 261,
          column: 22
        }
      },
      "82": {
        start: {
          line: 264,
          column: 1
        },
        end: {
          line: 266,
          column: 2
        }
      },
      "83": {
        start: {
          line: 265,
          column: 2
        },
        end: {
          line: 265,
          column: 56
        }
      },
      "84": {
        start: {
          line: 270,
          column: 1
        },
        end: {
          line: 279,
          column: 2
        }
      },
      "85": {
        start: {
          line: 272,
          column: 2
        },
        end: {
          line: 272,
          column: 40
        }
      },
      "86": {
        start: {
          line: 273,
          column: 2
        },
        end: {
          line: 273,
          column: 40
        }
      },
      "87": {
        start: {
          line: 274,
          column: 2
        },
        end: {
          line: 274,
          column: 16
        }
      },
      "88": {
        start: {
          line: 275,
          column: 2
        },
        end: {
          line: 275,
          column: 16
        }
      },
      "89": {
        start: {
          line: 277,
          column: 2
        },
        end: {
          line: 277,
          column: 32
        }
      },
      "90": {
        start: {
          line: 278,
          column: 2
        },
        end: {
          line: 278,
          column: 12
        }
      },
      "91": {
        start: {
          line: 281,
          column: 1
        },
        end: {
          line: 281,
          column: 13
        }
      },
      "92": {
        start: {
          line: 296,
          column: 1
        },
        end: {
          line: 298,
          column: 2
        }
      },
      "93": {
        start: {
          line: 297,
          column: 2
        },
        end: {
          line: 297,
          column: 14
        }
      },
      "94": {
        start: {
          line: 301,
          column: 1
        },
        end: {
          line: 303,
          column: 2
        }
      },
      "95": {
        start: {
          line: 302,
          column: 2
        },
        end: {
          line: 302,
          column: 36
        }
      },
      "96": {
        start: {
          line: 306,
          column: 1
        },
        end: {
          line: 308,
          column: 2
        }
      },
      "97": {
        start: {
          line: 307,
          column: 2
        },
        end: {
          line: 307,
          column: 59
        }
      },
      "98": {
        start: {
          line: 311,
          column: 1
        },
        end: {
          line: 313,
          column: 2
        }
      },
      "99": {
        start: {
          line: 312,
          column: 2
        },
        end: {
          line: 312,
          column: 27
        }
      },
      "100": {
        start: {
          line: 316,
          column: 1
        },
        end: {
          line: 318,
          column: 2
        }
      },
      "101": {
        start: {
          line: 317,
          column: 2
        },
        end: {
          line: 317,
          column: 14
        }
      },
      "102": {
        start: {
          line: 321,
          column: 1
        },
        end: {
          line: 323,
          column: 2
        }
      },
      "103": {
        start: {
          line: 322,
          column: 2
        },
        end: {
          line: 322,
          column: 62
        }
      },
      "104": {
        start: {
          line: 326,
          column: 1
        },
        end: {
          line: 328,
          column: 2
        }
      },
      "105": {
        start: {
          line: 327,
          column: 2
        },
        end: {
          line: 327,
          column: 14
        }
      },
      "106": {
        start: {
          line: 331,
          column: 1
        },
        end: {
          line: 331,
          column: 35
        }
      },
      "107": {
        start: {
          line: 345,
          column: 1
        },
        end: {
          line: 347,
          column: 2
        }
      },
      "108": {
        start: {
          line: 346,
          column: 2
        },
        end: {
          line: 346,
          column: 11
        }
      },
      "109": {
        start: {
          line: 350,
          column: 1
        },
        end: {
          line: 352,
          column: 2
        }
      },
      "110": {
        start: {
          line: 351,
          column: 2
        },
        end: {
          line: 351,
          column: 19
        }
      },
      "111": {
        start: {
          line: 355,
          column: 1
        },
        end: {
          line: 357,
          column: 2
        }
      },
      "112": {
        start: {
          line: 356,
          column: 2
        },
        end: {
          line: 356,
          column: 21
        }
      },
      "113": {
        start: {
          line: 360,
          column: 1
        },
        end: {
          line: 362,
          column: 2
        }
      },
      "114": {
        start: {
          line: 361,
          column: 2
        },
        end: {
          line: 361,
          column: 84
        }
      },
      "115": {
        start: {
          line: 365,
          column: 1
        },
        end: {
          line: 365,
          column: 13
        }
      },
      "116": {
        start: {
          line: 376,
          column: 1
        },
        end: {
          line: 389,
          column: 2
        }
      },
      "117": {
        start: {
          line: 378,
          column: 2
        },
        end: {
          line: 378,
          column: 13
        }
      },
      "118": {
        start: {
          line: 379,
          column: 8
        },
        end: {
          line: 389,
          column: 2
        }
      },
      "119": {
        start: {
          line: 381,
          column: 2
        },
        end: {
          line: 381,
          column: 27
        }
      },
      "120": {
        start: {
          line: 382,
          column: 8
        },
        end: {
          line: 389,
          column: 2
        }
      },
      "121": {
        start: {
          line: 384,
          column: 2
        },
        end: {
          line: 384,
          column: 19
        }
      },
      "122": {
        start: {
          line: 385,
          column: 2
        },
        end: {
          line: 385,
          column: 13
        }
      },
      "123": {
        start: {
          line: 388,
          column: 2
        },
        end: {
          line: 388,
          column: 18
        }
      },
      "124": {
        start: {
          line: 393,
          column: 0
        },
        end: {
          line: 393,
          column: 30
        }
      }
    },
    fnMap: {
      "0": {
        name: "Body",
        decl: {
          start: {
            line: 25,
            column: 24
          },
          end: {
            line: 25,
            column: 28
          }
        },
        loc: {
          start: {
            line: 28,
            column: 8
          },
          end: {
            line: 69,
            column: 1
          }
        },
        line: 28
      },
      "1": {
        name: "(anonymous_1)",
        decl: {
          start: {
            line: 62,
            column: 19
          },
          end: {
            line: 62,
            column: 20
          }
        },
        loc: {
          start: {
            line: 62,
            column: 26
          },
          end: {
            line: 67,
            column: 3
          }
        },
        line: 62
      },
      "2": {
        name: "(anonymous_2)",
        decl: {
          start: {
            line: 72,
            column: 1
          },
          end: {
            line: 72,
            column: 2
          }
        },
        loc: {
          start: {
            line: 72,
            column: 12
          },
          end: {
            line: 74,
            column: 2
          }
        },
        line: 72
      },
      "3": {
        name: "(anonymous_3)",
        decl: {
          start: {
            line: 76,
            column: 1
          },
          end: {
            line: 76,
            column: 2
          }
        },
        loc: {
          start: {
            line: 76,
            column: 16
          },
          end: {
            line: 78,
            column: 2
          }
        },
        line: 76
      },
      "4": {
        name: "(anonymous_4)",
        decl: {
          start: {
            line: 85,
            column: 1
          },
          end: {
            line: 85,
            column: 2
          }
        },
        loc: {
          start: {
            line: 85,
            column: 15
          },
          end: {
            line: 87,
            column: 2
          }
        },
        line: 85
      },
      "5": {
        name: "(anonymous_5)",
        decl: {
          start: {
            line: 86,
            column: 37
          },
          end: {
            line: 86,
            column: 38
          }
        },
        loc: {
          start: {
            line: 86,
            column: 75
          },
          end: {
            line: 86,
            column: 124
          }
        },
        line: 86
      },
      "6": {
        name: "(anonymous_6)",
        decl: {
          start: {
            line: 94,
            column: 1
          },
          end: {
            line: 94,
            column: 2
          }
        },
        loc: {
          start: {
            line: 94,
            column: 8
          },
          end: {
            line: 100,
            column: 2
          }
        },
        line: 94
      },
      "7": {
        name: "(anonymous_7)",
        decl: {
          start: {
            line: 96,
            column: 37
          },
          end: {
            line: 96,
            column: 38
          }
        },
        loc: {
          start: {
            line: 96,
            column: 44
          },
          end: {
            line: 99,
            column: 4
          }
        },
        line: 96
      },
      "8": {
        name: "(anonymous_8)",
        decl: {
          start: {
            line: 107,
            column: 1
          },
          end: {
            line: 107,
            column: 2
          }
        },
        loc: {
          start: {
            line: 107,
            column: 8
          },
          end: {
            line: 109,
            column: 2
          }
        },
        line: 107
      },
      "9": {
        name: "(anonymous_9)",
        decl: {
          start: {
            line: 108,
            column: 37
          },
          end: {
            line: 108,
            column: 38
          }
        },
        loc: {
          start: {
            line: 108,
            column: 47
          },
          end: {
            line: 108,
            column: 76
          }
        },
        line: 108
      },
      "10": {
        name: "(anonymous_10)",
        decl: {
          start: {
            line: 116,
            column: 1
          },
          end: {
            line: 116,
            column: 2
          }
        },
        loc: {
          start: {
            line: 116,
            column: 8
          },
          end: {
            line: 118,
            column: 2
          }
        },
        line: 116
      },
      "11": {
        name: "(anonymous_11)",
        decl: {
          start: {
            line: 117,
            column: 37
          },
          end: {
            line: 117,
            column: 38
          }
        },
        loc: {
          start: {
            line: 117,
            column: 47
          },
          end: {
            line: 117,
            column: 64
          }
        },
        line: 117
      },
      "12": {
        name: "(anonymous_12)",
        decl: {
          start: {
            line: 125,
            column: 1
          },
          end: {
            line: 125,
            column: 2
          }
        },
        loc: {
          start: {
            line: 125,
            column: 10
          },
          end: {
            line: 127,
            column: 2
          }
        },
        line: 125
      },
      "13": {
        name: "(anonymous_13)",
        decl: {
          start: {
            line: 140,
            column: 13
          },
          end: {
            line: 140,
            column: 14
          }
        },
        loc: {
          start: {
            line: 140,
            column: 22
          },
          end: {
            line: 148,
            column: 1
          }
        },
        line: 140
      },
      "14": {
        name: "consumeBody",
        decl: {
          start: {
            line: 157,
            column: 9
          },
          end: {
            line: 157,
            column: 20
          }
        },
        loc: {
          start: {
            line: 157,
            column: 23
          },
          end: {
            line: 249,
            column: 1
          }
        },
        line: 157
      },
      "15": {
        name: "(anonymous_15)",
        decl: {
          start: {
            line: 196,
            column: 25
          },
          end: {
            line: 196,
            column: 26
          }
        },
        loc: {
          start: {
            line: 196,
            column: 46
          },
          end: {
            line: 248,
            column: 2
          }
        },
        line: 196
      },
      "16": {
        name: "(anonymous_16)",
        decl: {
          start: {
            line: 201,
            column: 27
          },
          end: {
            line: 201,
            column: 28
          }
        },
        loc: {
          start: {
            line: 201,
            column: 33
          },
          end: {
            line: 204,
            column: 4
          }
        },
        line: 201
      },
      "17": {
        name: "(anonymous_17)",
        decl: {
          start: {
            line: 208,
            column: 19
          },
          end: {
            line: 208,
            column: 20
          }
        },
        loc: {
          start: {
            line: 208,
            column: 26
          },
          end: {
            line: 217,
            column: 3
          }
        },
        line: 208
      },
      "18": {
        name: "(anonymous_18)",
        decl: {
          start: {
            line: 219,
            column: 18
          },
          end: {
            line: 219,
            column: 19
          }
        },
        loc: {
          start: {
            line: 219,
            column: 27
          },
          end: {
            line: 232,
            column: 3
          }
        },
        line: 219
      },
      "19": {
        name: "(anonymous_19)",
        decl: {
          start: {
            line: 234,
            column: 17
          },
          end: {
            line: 234,
            column: 18
          }
        },
        loc: {
          start: {
            line: 234,
            column: 23
          },
          end: {
            line: 247,
            column: 3
          }
        },
        line: 234
      },
      "20": {
        name: "clone",
        decl: {
          start: {
            line: 258,
            column: 16
          },
          end: {
            line: 258,
            column: 21
          }
        },
        loc: {
          start: {
            line: 258,
            column: 47
          },
          end: {
            line: 282,
            column: 1
          }
        },
        line: 258
      },
      "21": {
        name: "extractContentType",
        decl: {
          start: {
            line: 294,
            column: 16
          },
          end: {
            line: 294,
            column: 34
          }
        },
        loc: {
          start: {
            line: 294,
            column: 41
          },
          end: {
            line: 332,
            column: 1
          }
        },
        line: 294
      },
      "22": {
        name: "getTotalBytes",
        decl: {
          start: {
            line: 343,
            column: 16
          },
          end: {
            line: 343,
            column: 29
          }
        },
        loc: {
          start: {
            line: 343,
            column: 38
          },
          end: {
            line: 366,
            column: 1
          }
        },
        line: 343
      },
      "23": {
        name: "writeToStream",
        decl: {
          start: {
            line: 375,
            column: 16
          },
          end: {
            line: 375,
            column: 29
          }
        },
        loc: {
          start: {
            line: 375,
            column: 44
          },
          end: {
            line: 390,
            column: 1
          }
        },
        line: 375
      }
    },
    branchMap: {
      "0": {
        loc: {
          start: {
            line: 25,
            column: 35
          },
          end: {
            line: 28,
            column: 6
          }
        },
        type: "default-arg",
        locations: [{
          start: {
            line: 28,
            column: 4
          },
          end: {
            line: 28,
            column: 6
          }
        }],
        line: 25
      },
      "1": {
        loc: {
          start: {
            line: 26,
            column: 1
          },
          end: {
            line: 26,
            column: 9
          }
        },
        type: "default-arg",
        locations: [{
          start: {
            line: 26,
            column: 8
          },
          end: {
            line: 26,
            column: 9
          }
        }],
        line: 26
      },
      "2": {
        loc: {
          start: {
            line: 27,
            column: 1
          },
          end: {
            line: 27,
            column: 12
          }
        },
        type: "default-arg",
        locations: [{
          start: {
            line: 27,
            column: 11
          },
          end: {
            line: 27,
            column: 12
          }
        }],
        line: 27
      },
      "3": {
        loc: {
          start: {
            line: 29,
            column: 1
          },
          end: {
            line: 51,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 29,
            column: 1
          },
          end: {
            line: 51,
            column: 2
          }
        }, {
          start: {
            line: 29,
            column: 1
          },
          end: {
            line: 51,
            column: 2
          }
        }],
        line: 29
      },
      "4": {
        loc: {
          start: {
            line: 32,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 32,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }, {
          start: {
            line: 32,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }],
        line: 32
      },
      "5": {
        loc: {
          start: {
            line: 35,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 35,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }, {
          start: {
            line: 35,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }],
        line: 35
      },
      "6": {
        loc: {
          start: {
            line: 37,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 37,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }, {
          start: {
            line: 37,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }],
        line: 37
      },
      "7": {
        loc: {
          start: {
            line: 39,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 39,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }, {
          start: {
            line: 39,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }],
        line: 39
      },
      "8": {
        loc: {
          start: {
            line: 42,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 42,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }, {
          start: {
            line: 42,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }],
        line: 42
      },
      "9": {
        loc: {
          start: {
            line: 45,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 45,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }, {
          start: {
            line: 45,
            column: 8
          },
          end: {
            line: 51,
            column: 2
          }
        }],
        line: 45
      },
      "10": {
        loc: {
          start: {
            line: 61,
            column: 1
          },
          end: {
            line: 68,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 61,
            column: 1
          },
          end: {
            line: 68,
            column: 2
          }
        }, {
          start: {
            line: 61,
            column: 1
          },
          end: {
            line: 68,
            column: 2
          }
        }],
        line: 61
      },
      "11": {
        loc: {
          start: {
            line: 63,
            column: 17
          },
          end: {
            line: 65,
            column: 108
          }
        },
        type: "cond-expr",
        locations: [{
          start: {
            line: 64,
            column: 4
          },
          end: {
            line: 64,
            column: 7
          }
        }, {
          start: {
            line: 65,
            column: 4
          },
          end: {
            line: 65,
            column: 108
          }
        }],
        line: 63
      },
      "12": {
        loc: {
          start: {
            line: 95,
            column: 13
          },
          end: {
            line: 95,
            column: 120
          }
        },
        type: "binary-expr",
        locations: [{
          start: {
            line: 95,
            column: 13
          },
          end: {
            line: 95,
            column: 25
          }
        }, {
          start: {
            line: 95,
            column: 29
          },
          end: {
            line: 95,
            column: 61
          }
        }, {
          start: {
            line: 95,
            column: 65
          },
          end: {
            line: 95,
            column: 85
          }
        }, {
          start: {
            line: 95,
            column: 89
          },
          end: {
            line: 95,
            column: 114
          }
        }, {
          start: {
            line: 95,
            column: 118
          },
          end: {
            line: 95,
            column: 120
          }
        }],
        line: 95
      },
      "13": {
        loc: {
          start: {
            line: 143,
            column: 2
          },
          end: {
            line: 146,
            column: 3
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 143,
            column: 2
          },
          end: {
            line: 146,
            column: 3
          }
        }],
        line: 143
      },
      "14": {
        loc: {
          start: {
            line: 158,
            column: 1
          },
          end: {
            line: 160,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 158,
            column: 1
          },
          end: {
            line: 160,
            column: 2
          }
        }, {
          start: {
            line: 158,
            column: 1
          },
          end: {
            line: 160,
            column: 2
          }
        }],
        line: 158
      },
      "15": {
        loc: {
          start: {
            line: 164,
            column: 1
          },
          end: {
            line: 166,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 164,
            column: 1
          },
          end: {
            line: 166,
            column: 2
          }
        }, {
          start: {
            line: 164,
            column: 1
          },
          end: {
            line: 166,
            column: 2
          }
        }],
        line: 164
      },
      "16": {
        loc: {
          start: {
            line: 171,
            column: 1
          },
          end: {
            line: 173,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 171,
            column: 1
          },
          end: {
            line: 173,
            column: 2
          }
        }, {
          start: {
            line: 171,
            column: 1
          },
          end: {
            line: 173,
            column: 2
          }
        }],
        line: 171
      },
      "17": {
        loc: {
          start: {
            line: 176,
            column: 1
          },
          end: {
            line: 178,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 176,
            column: 1
          },
          end: {
            line: 178,
            column: 2
          }
        }, {
          start: {
            line: 176,
            column: 1
          },
          end: {
            line: 178,
            column: 2
          }
        }],
        line: 176
      },
      "18": {
        loc: {
          start: {
            line: 181,
            column: 1
          },
          end: {
            line: 183,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 181,
            column: 1
          },
          end: {
            line: 183,
            column: 2
          }
        }, {
          start: {
            line: 181,
            column: 1
          },
          end: {
            line: 183,
            column: 2
          }
        }],
        line: 181
      },
      "19": {
        loc: {
          start: {
            line: 186,
            column: 1
          },
          end: {
            line: 188,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 186,
            column: 1
          },
          end: {
            line: 188,
            column: 2
          }
        }],
        line: 186
      },
      "20": {
        loc: {
          start: {
            line: 200,
            column: 2
          },
          end: {
            line: 205,
            column: 3
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 200,
            column: 2
          },
          end: {
            line: 205,
            column: 3
          }
        }, {
          start: {
            line: 200,
            column: 2
          },
          end: {
            line: 205,
            column: 3
          }
        }],
        line: 200
      },
      "21": {
        loc: {
          start: {
            line: 209,
            column: 3
          },
          end: {
            line: 216,
            column: 4
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 209,
            column: 3
          },
          end: {
            line: 216,
            column: 4
          }
        }, {
          start: {
            line: 209,
            column: 3
          },
          end: {
            line: 216,
            column: 4
          }
        }],
        line: 209
      },
      "22": {
        loc: {
          start: {
            line: 220,
            column: 3
          },
          end: {
            line: 222,
            column: 4
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 220,
            column: 3
          },
          end: {
            line: 222,
            column: 4
          }
        }, {
          start: {
            line: 220,
            column: 3
          },
          end: {
            line: 222,
            column: 4
          }
        }],
        line: 220
      },
      "23": {
        loc: {
          start: {
            line: 220,
            column: 7
          },
          end: {
            line: 220,
            column: 30
          }
        },
        type: "binary-expr",
        locations: [{
          start: {
            line: 220,
            column: 7
          },
          end: {
            line: 220,
            column: 12
          }
        }, {
          start: {
            line: 220,
            column: 16
          },
          end: {
            line: 220,
            column: 30
          }
        }],
        line: 220
      },
      "24": {
        loc: {
          start: {
            line: 224,
            column: 3
          },
          end: {
            line: 228,
            column: 4
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 224,
            column: 3
          },
          end: {
            line: 228,
            column: 4
          }
        }, {
          start: {
            line: 224,
            column: 3
          },
          end: {
            line: 228,
            column: 4
          }
        }],
        line: 224
      },
      "25": {
        loc: {
          start: {
            line: 224,
            column: 7
          },
          end: {
            line: 224,
            column: 57
          }
        },
        type: "binary-expr",
        locations: [{
          start: {
            line: 224,
            column: 7
          },
          end: {
            line: 224,
            column: 16
          }
        }, {
          start: {
            line: 224,
            column: 20
          },
          end: {
            line: 224,
            column: 57
          }
        }],
        line: 224
      },
      "26": {
        loc: {
          start: {
            line: 235,
            column: 3
          },
          end: {
            line: 237,
            column: 4
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 235,
            column: 3
          },
          end: {
            line: 237,
            column: 4
          }
        }, {
          start: {
            line: 235,
            column: 3
          },
          end: {
            line: 237,
            column: 4
          }
        }],
        line: 235
      },
      "27": {
        loc: {
          start: {
            line: 264,
            column: 1
          },
          end: {
            line: 266,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 264,
            column: 1
          },
          end: {
            line: 266,
            column: 2
          }
        }, {
          start: {
            line: 264,
            column: 1
          },
          end: {
            line: 266,
            column: 2
          }
        }],
        line: 264
      },
      "28": {
        loc: {
          start: {
            line: 270,
            column: 1
          },
          end: {
            line: 279,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 270,
            column: 1
          },
          end: {
            line: 279,
            column: 2
          }
        }, {
          start: {
            line: 270,
            column: 1
          },
          end: {
            line: 279,
            column: 2
          }
        }],
        line: 270
      },
      "29": {
        loc: {
          start: {
            line: 270,
            column: 5
          },
          end: {
            line: 270,
            column: 73
          }
        },
        type: "binary-expr",
        locations: [{
          start: {
            line: 270,
            column: 6
          },
          end: {
            line: 270,
            column: 28
          }
        }, {
          start: {
            line: 270,
            column: 34
          },
          end: {
            line: 270,
            column: 72
          }
        }],
        line: 270
      },
      "30": {
        loc: {
          start: {
            line: 296,
            column: 1
          },
          end: {
            line: 298,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 296,
            column: 1
          },
          end: {
            line: 298,
            column: 2
          }
        }, {
          start: {
            line: 296,
            column: 1
          },
          end: {
            line: 298,
            column: 2
          }
        }],
        line: 296
      },
      "31": {
        loc: {
          start: {
            line: 301,
            column: 1
          },
          end: {
            line: 303,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 301,
            column: 1
          },
          end: {
            line: 303,
            column: 2
          }
        }, {
          start: {
            line: 301,
            column: 1
          },
          end: {
            line: 303,
            column: 2
          }
        }],
        line: 301
      },
      "32": {
        loc: {
          start: {
            line: 306,
            column: 1
          },
          end: {
            line: 308,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 306,
            column: 1
          },
          end: {
            line: 308,
            column: 2
          }
        }, {
          start: {
            line: 306,
            column: 1
          },
          end: {
            line: 308,
            column: 2
          }
        }],
        line: 306
      },
      "33": {
        loc: {
          start: {
            line: 311,
            column: 1
          },
          end: {
            line: 313,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 311,
            column: 1
          },
          end: {
            line: 313,
            column: 2
          }
        }, {
          start: {
            line: 311,
            column: 1
          },
          end: {
            line: 313,
            column: 2
          }
        }],
        line: 311
      },
      "34": {
        loc: {
          start: {
            line: 312,
            column: 9
          },
          end: {
            line: 312,
            column: 26
          }
        },
        type: "binary-expr",
        locations: [{
          start: {
            line: 312,
            column: 9
          },
          end: {
            line: 312,
            column: 18
          }
        }, {
          start: {
            line: 312,
            column: 22
          },
          end: {
            line: 312,
            column: 26
          }
        }],
        line: 312
      },
      "35": {
        loc: {
          start: {
            line: 316,
            column: 1
          },
          end: {
            line: 318,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 316,
            column: 1
          },
          end: {
            line: 318,
            column: 2
          }
        }, {
          start: {
            line: 316,
            column: 1
          },
          end: {
            line: 318,
            column: 2
          }
        }],
        line: 316
      },
      "36": {
        loc: {
          start: {
            line: 316,
            column: 5
          },
          end: {
            line: 316,
            column: 77
          }
        },
        type: "binary-expr",
        locations: [{
          start: {
            line: 316,
            column: 5
          },
          end: {
            line: 316,
            column: 26
          }
        }, {
          start: {
            line: 316,
            column: 30
          },
          end: {
            line: 316,
            column: 49
          }
        }, {
          start: {
            line: 316,
            column: 53
          },
          end: {
            line: 316,
            column: 77
          }
        }],
        line: 316
      },
      "37": {
        loc: {
          start: {
            line: 321,
            column: 1
          },
          end: {
            line: 323,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 321,
            column: 1
          },
          end: {
            line: 323,
            column: 2
          }
        }, {
          start: {
            line: 321,
            column: 1
          },
          end: {
            line: 323,
            column: 2
          }
        }],
        line: 321
      },
      "38": {
        loc: {
          start: {
            line: 321,
            column: 5
          },
          end: {
            line: 321,
            column: 51
          }
        },
        type: "binary-expr",
        locations: [{
          start: {
            line: 321,
            column: 5
          },
          end: {
            line: 321,
            column: 9
          }
        }, {
          start: {
            line: 321,
            column: 13
          },
          end: {
            line: 321,
            column: 51
          }
        }],
        line: 321
      },
      "39": {
        loc: {
          start: {
            line: 326,
            column: 1
          },
          end: {
            line: 328,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 326,
            column: 1
          },
          end: {
            line: 328,
            column: 2
          }
        }, {
          start: {
            line: 326,
            column: 1
          },
          end: {
            line: 328,
            column: 2
          }
        }],
        line: 326
      },
      "40": {
        loc: {
          start: {
            line: 345,
            column: 1
          },
          end: {
            line: 347,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 345,
            column: 1
          },
          end: {
            line: 347,
            column: 2
          }
        }, {
          start: {
            line: 345,
            column: 1
          },
          end: {
            line: 347,
            column: 2
          }
        }],
        line: 345
      },
      "41": {
        loc: {
          start: {
            line: 350,
            column: 1
          },
          end: {
            line: 352,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 350,
            column: 1
          },
          end: {
            line: 352,
            column: 2
          }
        }, {
          start: {
            line: 350,
            column: 1
          },
          end: {
            line: 352,
            column: 2
          }
        }],
        line: 350
      },
      "42": {
        loc: {
          start: {
            line: 355,
            column: 1
          },
          end: {
            line: 357,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 355,
            column: 1
          },
          end: {
            line: 357,
            column: 2
          }
        }, {
          start: {
            line: 355,
            column: 1
          },
          end: {
            line: 357,
            column: 2
          }
        }],
        line: 355
      },
      "43": {
        loc: {
          start: {
            line: 360,
            column: 1
          },
          end: {
            line: 362,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 360,
            column: 1
          },
          end: {
            line: 362,
            column: 2
          }
        }, {
          start: {
            line: 360,
            column: 1
          },
          end: {
            line: 362,
            column: 2
          }
        }],
        line: 360
      },
      "44": {
        loc: {
          start: {
            line: 360,
            column: 5
          },
          end: {
            line: 360,
            column: 53
          }
        },
        type: "binary-expr",
        locations: [{
          start: {
            line: 360,
            column: 5
          },
          end: {
            line: 360,
            column: 9
          }
        }, {
          start: {
            line: 360,
            column: 13
          },
          end: {
            line: 360,
            column: 53
          }
        }],
        line: 360
      },
      "45": {
        loc: {
          start: {
            line: 361,
            column: 9
          },
          end: {
            line: 361,
            column: 83
          }
        },
        type: "cond-expr",
        locations: [{
          start: {
            line: 361,
            column: 56
          },
          end: {
            line: 361,
            column: 76
          }
        }, {
          start: {
            line: 361,
            column: 79
          },
          end: {
            line: 361,
            column: 83
          }
        }],
        line: 361
      },
      "46": {
        loc: {
          start: {
            line: 361,
            column: 9
          },
          end: {
            line: 361,
            column: 53
          }
        },
        type: "binary-expr",
        locations: [{
          start: {
            line: 361,
            column: 9
          },
          end: {
            line: 361,
            column: 28
          }
        }, {
          start: {
            line: 361,
            column: 32
          },
          end: {
            line: 361,
            column: 53
          }
        }],
        line: 361
      },
      "47": {
        loc: {
          start: {
            line: 376,
            column: 1
          },
          end: {
            line: 389,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 376,
            column: 1
          },
          end: {
            line: 389,
            column: 2
          }
        }, {
          start: {
            line: 376,
            column: 1
          },
          end: {
            line: 389,
            column: 2
          }
        }],
        line: 376
      },
      "48": {
        loc: {
          start: {
            line: 379,
            column: 8
          },
          end: {
            line: 389,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 379,
            column: 8
          },
          end: {
            line: 389,
            column: 2
          }
        }, {
          start: {
            line: 379,
            column: 8
          },
          end: {
            line: 389,
            column: 2
          }
        }],
        line: 379
      },
      "49": {
        loc: {
          start: {
            line: 382,
            column: 8
          },
          end: {
            line: 389,
            column: 2
          }
        },
        type: "if",
        locations: [{
          start: {
            line: 382,
            column: 8
          },
          end: {
            line: 389,
            column: 2
          }
        }, {
          start: {
            line: 382,
            column: 8
          },
          end: {
            line: 389,
            column: 2
          }
        }],
        line: 382
      }
    },
    s: {
      "0": 0,
      "1": 0,
      "2": 0,
      "3": 0,
      "4": 0,
      "5": 0,
      "6": 0,
      "7": 0,
      "8": 0,
      "9": 0,
      "10": 0,
      "11": 0,
      "12": 0,
      "13": 0,
      "14": 0,
      "15": 0,
      "16": 0,
      "17": 0,
      "18": 0,
      "19": 0,
      "20": 0,
      "21": 0,
      "22": 0,
      "23": 0,
      "24": 0,
      "25": 0,
      "26": 0,
      "27": 0,
      "28": 0,
      "29": 0,
      "30": 0,
      "31": 0,
      "32": 0,
      "33": 0,
      "34": 0,
      "35": 0,
      "36": 0,
      "37": 0,
      "38": 0,
      "39": 0,
      "40": 0,
      "41": 0,
      "42": 0,
      "43": 0,
      "44": 0,
      "45": 0,
      "46": 0,
      "47": 0,
      "48": 0,
      "49": 0,
      "50": 0,
      "51": 0,
      "52": 0,
      "53": 0,
      "54": 0,
      "55": 0,
      "56": 0,
      "57": 0,
      "58": 0,
      "59": 0,
      "60": 0,
      "61": 0,
      "62": 0,
      "63": 0,
      "64": 0,
      "65": 0,
      "66": 0,
      "67": 0,
      "68": 0,
      "69": 0,
      "70": 0,
      "71": 0,
      "72": 0,
      "73": 0,
      "74": 0,
      "75": 0,
      "76": 0,
      "77": 0,
      "78": 0,
      "79": 0,
      "80": 0,
      "81": 0,
      "82": 0,
      "83": 0,
      "84": 0,
      "85": 0,
      "86": 0,
      "87": 0,
      "88": 0,
      "89": 0,
      "90": 0,
      "91": 0,
      "92": 0,
      "93": 0,
      "94": 0,
      "95": 0,
      "96": 0,
      "97": 0,
      "98": 0,
      "99": 0,
      "100": 0,
      "101": 0,
      "102": 0,
      "103": 0,
      "104": 0,
      "105": 0,
      "106": 0,
      "107": 0,
      "108": 0,
      "109": 0,
      "110": 0,
      "111": 0,
      "112": 0,
      "113": 0,
      "114": 0,
      "115": 0,
      "116": 0,
      "117": 0,
      "118": 0,
      "119": 0,
      "120": 0,
      "121": 0,
      "122": 0,
      "123": 0,
      "124": 0
    },
    f: {
      "0": 0,
      "1": 0,
      "2": 0,
      "3": 0,
      "4": 0,
      "5": 0,
      "6": 0,
      "7": 0,
      "8": 0,
      "9": 0,
      "10": 0,
      "11": 0,
      "12": 0,
      "13": 0,
      "14": 0,
      "15": 0,
      "16": 0,
      "17": 0,
      "18": 0,
      "19": 0,
      "20": 0,
      "21": 0,
      "22": 0,
      "23": 0
    },
    b: {
      "0": [0],
      "1": [0],
      "2": [0],
      "3": [0, 0],
      "4": [0, 0],
      "5": [0, 0],
      "6": [0, 0],
      "7": [0, 0],
      "8": [0, 0],
      "9": [0, 0],
      "10": [0, 0],
      "11": [0, 0],
      "12": [0, 0, 0, 0, 0],
      "13": [0],
      "14": [0, 0],
      "15": [0, 0],
      "16": [0, 0],
      "17": [0, 0],
      "18": [0, 0],
      "19": [0],
      "20": [0, 0],
      "21": [0, 0],
      "22": [0, 0],
      "23": [0, 0],
      "24": [0, 0],
      "25": [0, 0],
      "26": [0, 0],
      "27": [0, 0],
      "28": [0, 0],
      "29": [0, 0],
      "30": [0, 0],
      "31": [0, 0],
      "32": [0, 0],
      "33": [0, 0],
      "34": [0, 0],
      "35": [0, 0],
      "36": [0, 0, 0],
      "37": [0, 0],
      "38": [0, 0],
      "39": [0, 0],
      "40": [0, 0],
      "41": [0, 0],
      "42": [0, 0],
      "43": [0, 0],
      "44": [0, 0],
      "45": [0, 0],
      "46": [0, 0],
      "47": [0, 0],
      "48": [0, 0],
      "49": [0, 0]
    },
    _coverageSchema: "1a1c01bbd47fc00a2c39e90264f33305004495a9",
    hash: "86e759c9ef1d9734feb2856002172dd328717193"
  };
  var coverage = global[gcv] || (global[gcv] = {});

  if (!coverage[path] || coverage[path].hash !== hash) {
    coverage[path] = coverageData;
  }

  var actualCoverage = coverage[path];

  cov_c08i65p7u = function () {
    return actualCoverage;
  };

  return actualCoverage;
}

cov_c08i65p7u();
const INTERNALS = (cov_c08i65p7u().s[0]++, Symbol('Body internals'));
/**
 * Body mixin
 *
 * Ref: https://fetch.spec.whatwg.org/#body
 *
 * @param   Stream  body  Readable stream
 * @param   Object  opts  Response options
 * @return  Void
 */

function Body(body, {
  size = (cov_c08i65p7u().b[1][0]++, 0),
  timeout = (cov_c08i65p7u().b[2][0]++, 0)
} = (cov_c08i65p7u().b[0][0]++, {})) {
  cov_c08i65p7u().f[0]++;
  cov_c08i65p7u().s[1]++;

  if (body === null) {
    cov_c08i65p7u().b[3][0]++;
    cov_c08i65p7u().s[2]++;
    // Body is undefined or null
    body = null;
  } else {
    cov_c08i65p7u().b[3][1]++;
    cov_c08i65p7u().s[3]++;

    if ((0, _is.isURLSearchParams)(body)) {
      cov_c08i65p7u().b[4][0]++;
      cov_c08i65p7u().s[4]++;
      // Body is a URLSearchParams
      body = Buffer.from(body.toString());
    } else {
      cov_c08i65p7u().b[4][1]++;
      cov_c08i65p7u().s[5]++;

      if ((0, _is.isBlob)(body)) {// Body is blob

        cov_c08i65p7u().b[5][0]++;
      } else {
        cov_c08i65p7u().b[5][1]++;
        cov_c08i65p7u().s[6]++;

        if (Buffer.isBuffer(body)) {// Body is Buffer

          cov_c08i65p7u().b[6][0]++;
        } else {
          cov_c08i65p7u().b[6][1]++;
          cov_c08i65p7u().s[7]++;

          if ((0, _is.isArrayBuffer)(body)) {
            cov_c08i65p7u().b[7][0]++;
            cov_c08i65p7u().s[8]++;
            // Body is ArrayBuffer
            body = Buffer.from(body);
          } else {
            cov_c08i65p7u().b[7][1]++;
            cov_c08i65p7u().s[9]++;

            if (ArrayBuffer.isView(body)) {
              cov_c08i65p7u().b[8][0]++;
              cov_c08i65p7u().s[10]++;
              // Body is ArrayBufferView
              body = Buffer.from(body.buffer, body.byteOffset, body.byteLength);
            } else {
              cov_c08i65p7u().b[8][1]++;
              cov_c08i65p7u().s[11]++;

              if (body instanceof _stream.default) {// Body is stream

                cov_c08i65p7u().b[9][0]++;
              } else {
                cov_c08i65p7u().b[9][1]++;
                cov_c08i65p7u().s[12]++;
                // None of the above
                // coerce to string then buffer
                body = Buffer.from(String(body));
              }
            }
          }
        }
      }
    }
  }

  cov_c08i65p7u().s[13]++;
  this[INTERNALS] = {
    body,
    disturbed: false,
    error: null
  };
  cov_c08i65p7u().s[14]++;
  this.size = size;
  cov_c08i65p7u().s[15]++;
  this.timeout = timeout;
  cov_c08i65p7u().s[16]++;

  if (body instanceof _stream.default) {
    cov_c08i65p7u().b[10][0]++;
    cov_c08i65p7u().s[17]++;
    body.on('error', err => {
      cov_c08i65p7u().f[1]++;
      const error = (cov_c08i65p7u().s[18]++, (0, _is.isAbortError)(err) ? (cov_c08i65p7u().b[11][0]++, err) : (cov_c08i65p7u().b[11][1]++, new _fetchError.default(`Invalid response body while trying to fetch ${this.url}: ${err.message}`, 'system', err)));
      cov_c08i65p7u().s[19]++;
      this[INTERNALS].error = error;
    });
  } else {
    cov_c08i65p7u().b[10][1]++;
  }
}

cov_c08i65p7u().s[20]++;
Body.prototype = {
  get body() {
    cov_c08i65p7u().f[2]++;
    cov_c08i65p7u().s[21]++;
    return this[INTERNALS].body;
  },

  get bodyUsed() {
    cov_c08i65p7u().f[3]++;
    cov_c08i65p7u().s[22]++;
    return this[INTERNALS].disturbed;
  },

  /**
   * Decode response as ArrayBuffer
   *
   * @return  Promise
   */
  arrayBuffer() {
    cov_c08i65p7u().f[4]++;
    cov_c08i65p7u().s[23]++;
    return consumeBody.call(this).then(({
      buffer,
      byteOffset,
      byteLength
    }) => {
      cov_c08i65p7u().f[5]++;
      cov_c08i65p7u().s[24]++;
      return buffer.slice(byteOffset, byteOffset + byteLength);
    });
  },

  /**
   * Return raw response as Blob
   *
   * @return Promise
   */
  blob() {
    cov_c08i65p7u().f[6]++;
    const ct = (cov_c08i65p7u().s[25]++, (cov_c08i65p7u().b[12][0]++, this.headers) && (cov_c08i65p7u().b[12][1]++, this.headers.get('content-type')) || (cov_c08i65p7u().b[12][2]++, this[INTERNALS].body) && (cov_c08i65p7u().b[12][3]++, this[INTERNALS].body.type) || (cov_c08i65p7u().b[12][4]++, ''));
    cov_c08i65p7u().s[26]++;
    return consumeBody.call(this).then(buf => {
      cov_c08i65p7u().f[7]++;
      cov_c08i65p7u().s[27]++;
      return new _fetchBlob.default([], {
        type: ct.toLowerCase(),
        buffer: buf
      });
    });
  },

  /**
   * Decode response as json
   *
   * @return  Promise
   */
  json() {
    cov_c08i65p7u().f[8]++;
    cov_c08i65p7u().s[28]++;
    return consumeBody.call(this).then(buffer => {
      cov_c08i65p7u().f[9]++;
      cov_c08i65p7u().s[29]++;
      return JSON.parse(buffer.toString());
    });
  },

  /**
   * Decode response as text
   *
   * @return  Promise
   */
  text() {
    cov_c08i65p7u().f[10]++;
    cov_c08i65p7u().s[30]++;
    return consumeBody.call(this).then(buffer => {
      cov_c08i65p7u().f[11]++;
      cov_c08i65p7u().s[31]++;
      return buffer.toString();
    });
  },

  /**
   * Decode response as buffer (non-spec api)
   *
   * @return  Promise
   */
  buffer() {
    cov_c08i65p7u().f[12]++;
    cov_c08i65p7u().s[32]++;
    return consumeBody.call(this);
  }

}; // In browsers, all properties are enumerable.

cov_c08i65p7u().s[33]++;
Object.defineProperties(Body.prototype, {
  body: {
    enumerable: true
  },
  bodyUsed: {
    enumerable: true
  },
  arrayBuffer: {
    enumerable: true
  },
  blob: {
    enumerable: true
  },
  json: {
    enumerable: true
  },
  text: {
    enumerable: true
  }
});
cov_c08i65p7u().s[34]++;

Body.mixIn = proto => {
  cov_c08i65p7u().f[13]++;
  cov_c08i65p7u().s[35]++;

  for (const name of Object.getOwnPropertyNames(Body.prototype)) {
    cov_c08i65p7u().s[36]++;

    // istanbul ignore else: future proof
    if (!Object.prototype.hasOwnProperty.call(proto, name)) {
      cov_c08i65p7u().b[13][0]++;
      const desc = (cov_c08i65p7u().s[37]++, Object.getOwnPropertyDescriptor(Body.prototype, name));
      cov_c08i65p7u().s[38]++;
      Object.defineProperty(proto, name, desc);
    } else {}
  }
};
/**
 * Consume and convert an entire Body to a Buffer.
 *
 * Ref: https://fetch.spec.whatwg.org/#concept-body-consume-body
 *
 * @return  Promise
 */


function consumeBody() {
  cov_c08i65p7u().f[14]++;
  cov_c08i65p7u().s[39]++;

  if (this[INTERNALS].disturbed) {
    cov_c08i65p7u().b[14][0]++;
    cov_c08i65p7u().s[40]++;
    return Body.Promise.reject(new TypeError(`body used already for: ${this.url}`));
  } else {
    cov_c08i65p7u().b[14][1]++;
  }

  cov_c08i65p7u().s[41]++;
  this[INTERNALS].disturbed = true;
  cov_c08i65p7u().s[42]++;

  if (this[INTERNALS].error) {
    cov_c08i65p7u().b[15][0]++;
    cov_c08i65p7u().s[43]++;
    return Body.Promise.reject(this[INTERNALS].error);
  } else {
    cov_c08i65p7u().b[15][1]++;
  }

  let {
    body
  } = (cov_c08i65p7u().s[44]++, this); // Body is null

  cov_c08i65p7u().s[45]++;

  if (body === null) {
    cov_c08i65p7u().b[16][0]++;
    cov_c08i65p7u().s[46]++;
    return Body.Promise.resolve(Buffer.alloc(0));
  } else {
    cov_c08i65p7u().b[16][1]++;
  } // Body is blob


  cov_c08i65p7u().s[47]++;

  if ((0, _is.isBlob)(body)) {
    cov_c08i65p7u().b[17][0]++;
    cov_c08i65p7u().s[48]++;
    body = body.stream();
  } else {
    cov_c08i65p7u().b[17][1]++;
  } // Body is buffer


  cov_c08i65p7u().s[49]++;

  if (Buffer.isBuffer(body)) {
    cov_c08i65p7u().b[18][0]++;
    cov_c08i65p7u().s[50]++;
    return Body.Promise.resolve(body);
  } else {
    cov_c08i65p7u().b[18][1]++;
  } // istanbul ignore if: should never happen


  cov_c08i65p7u().s[51]++;

  if (!(body instanceof _stream.default)) {
    return Body.Promise.resolve(Buffer.alloc(0));
  } else {
    cov_c08i65p7u().b[19][0]++;
  } // Body is stream
  // get ready to actually consume the body


  const accum = (cov_c08i65p7u().s[52]++, []);
  let accumBytes = (cov_c08i65p7u().s[53]++, 0);
  let abort = (cov_c08i65p7u().s[54]++, false);
  cov_c08i65p7u().s[55]++;
  return new Body.Promise((resolve, reject) => {
    cov_c08i65p7u().f[15]++;
    let resTimeout; // Allow timeout on slow response body

    cov_c08i65p7u().s[56]++;

    if (this.timeout) {
      cov_c08i65p7u().b[20][0]++;
      cov_c08i65p7u().s[57]++;
      resTimeout = setTimeout(() => {
        cov_c08i65p7u().f[16]++;
        cov_c08i65p7u().s[58]++;
        abort = true;
        cov_c08i65p7u().s[59]++;
        reject(new _fetchError.default(`Response timeout while trying to fetch ${this.url} (over ${this.timeout}ms)`, 'body-timeout'));
      }, this.timeout);
    } else {
      cov_c08i65p7u().b[20][1]++;
    } // Handle stream errors


    cov_c08i65p7u().s[60]++;
    body.on('error', err => {
      cov_c08i65p7u().f[17]++;
      cov_c08i65p7u().s[61]++;

      if ((0, _is.isAbortError)(err)) {
        cov_c08i65p7u().b[21][0]++;
        cov_c08i65p7u().s[62]++;
        // If the request was aborted, reject with this Error
        abort = true;
        cov_c08i65p7u().s[63]++;
        reject(err);
      } else {
        cov_c08i65p7u().b[21][1]++;
        cov_c08i65p7u().s[64]++;
        // Other errors, such as incorrect content-encoding
        reject(new _fetchError.default(`Invalid response body while trying to fetch ${this.url}: ${err.message}`, 'system', err));
      }
    });
    cov_c08i65p7u().s[65]++;
    body.on('data', chunk => {
      cov_c08i65p7u().f[18]++;
      cov_c08i65p7u().s[66]++;

      if ((cov_c08i65p7u().b[23][0]++, abort) || (cov_c08i65p7u().b[23][1]++, chunk === null)) {
        cov_c08i65p7u().b[22][0]++;
        cov_c08i65p7u().s[67]++;
        return;
      } else {
        cov_c08i65p7u().b[22][1]++;
      }

      cov_c08i65p7u().s[68]++;

      if ((cov_c08i65p7u().b[25][0]++, this.size) && (cov_c08i65p7u().b[25][1]++, accumBytes + chunk.length > this.size)) {
        cov_c08i65p7u().b[24][0]++;
        cov_c08i65p7u().s[69]++;
        abort = true;
        cov_c08i65p7u().s[70]++;
        reject(new _fetchError.default(`content size at ${this.url} over limit: ${this.size}`, 'max-size'));
        cov_c08i65p7u().s[71]++;
        return;
      } else {
        cov_c08i65p7u().b[24][1]++;
      }

      cov_c08i65p7u().s[72]++;
      accumBytes += chunk.length;
      cov_c08i65p7u().s[73]++;
      accum.push(chunk);
    });
    cov_c08i65p7u().s[74]++;
    body.on('end', () => {
      cov_c08i65p7u().f[19]++;
      cov_c08i65p7u().s[75]++;

      if (abort) {
        cov_c08i65p7u().b[26][0]++;
        cov_c08i65p7u().s[76]++;
        return;
      } else {
        cov_c08i65p7u().b[26][1]++;
      }

      cov_c08i65p7u().s[77]++;
      clearTimeout(resTimeout);
      cov_c08i65p7u().s[78]++;

      try {
        cov_c08i65p7u().s[79]++;
        resolve(Buffer.concat(accum, accumBytes));
      } catch (error) {
        cov_c08i65p7u().s[80]++;
        // Handle streams that have accumulated too much data (issue #414)
        reject(new _fetchError.default(`Could not create Buffer from response body for ${this.url}: ${error.message}`, 'system', error));
      }
    });
  });
}
/**
 * Clone body given Res/Req instance
 *
 * @param   Mixed   instance       Response or Request instance
 * @param   String  highWaterMark  highWaterMark for both PassThrough body streams
 * @return  Mixed
 */


function clone(instance, highWaterMark) {
  cov_c08i65p7u().f[20]++;
  let p1;
  let p2;
  let {
    body
  } = (cov_c08i65p7u().s[81]++, instance); // Don't allow cloning a used body

  cov_c08i65p7u().s[82]++;

  if (instance.bodyUsed) {
    cov_c08i65p7u().b[27][0]++;
    cov_c08i65p7u().s[83]++;
    throw new Error('cannot clone body after it is used');
  } else {
    cov_c08i65p7u().b[27][1]++;
  } // Check that body is a stream and not form-data object
  // note: we can't clone the form-data object without having it as a dependency


  cov_c08i65p7u().s[84]++;

  if ((cov_c08i65p7u().b[29][0]++, body instanceof _stream.default) && (cov_c08i65p7u().b[29][1]++, typeof body.getBoundary !== 'function')) {
    cov_c08i65p7u().b[28][0]++;
    cov_c08i65p7u().s[85]++;
    // Tee instance body
    p1 = new _stream.PassThrough({
      highWaterMark
    });
    cov_c08i65p7u().s[86]++;
    p2 = new _stream.PassThrough({
      highWaterMark
    });
    cov_c08i65p7u().s[87]++;
    body.pipe(p1);
    cov_c08i65p7u().s[88]++;
    body.pipe(p2); // Set instance body to teed body and return the other teed body

    cov_c08i65p7u().s[89]++;
    instance[INTERNALS].body = p1;
    cov_c08i65p7u().s[90]++;
    body = p2;
  } else {
    cov_c08i65p7u().b[28][1]++;
  }

  cov_c08i65p7u().s[91]++;
  return body;
}
/**
 * Performs the operation "extract a `Content-Type` value from |object|" as
 * specified in the specification:
 * https://fetch.spec.whatwg.org/#concept-bodyinit-extract
 *
 * This function assumes that instance.body is present.
 *
 * @param {any} body Any options.body input
 * @returns {string | null}
 */


function extractContentType(body) {
  cov_c08i65p7u().f[21]++;
  cov_c08i65p7u().s[92]++;

  // Body is null or undefined
  if (body === null) {
    cov_c08i65p7u().b[30][0]++;
    cov_c08i65p7u().s[93]++;
    return null;
  } else {
    cov_c08i65p7u().b[30][1]++;
  } // Body is string


  cov_c08i65p7u().s[94]++;

  if (typeof body === 'string') {
    cov_c08i65p7u().b[31][0]++;
    cov_c08i65p7u().s[95]++;
    return 'text/plain;charset=UTF-8';
  } else {
    cov_c08i65p7u().b[31][1]++;
  } // Body is a URLSearchParams


  cov_c08i65p7u().s[96]++;

  if ((0, _is.isURLSearchParams)(body)) {
    cov_c08i65p7u().b[32][0]++;
    cov_c08i65p7u().s[97]++;
    return 'application/x-www-form-urlencoded;charset=UTF-8';
  } else {
    cov_c08i65p7u().b[32][1]++;
  } // Body is blob


  cov_c08i65p7u().s[98]++;

  if ((0, _is.isBlob)(body)) {
    cov_c08i65p7u().b[33][0]++;
    cov_c08i65p7u().s[99]++;
    return (cov_c08i65p7u().b[34][0]++, body.type) || (cov_c08i65p7u().b[34][1]++, null);
  } else {
    cov_c08i65p7u().b[33][1]++;
  } // Body is a Buffer (Buffer, ArrayBuffer or ArrayBufferView)


  cov_c08i65p7u().s[100]++;

  if ((cov_c08i65p7u().b[36][0]++, Buffer.isBuffer(body)) || (cov_c08i65p7u().b[36][1]++, (0, _is.isArrayBuffer)(body)) || (cov_c08i65p7u().b[36][2]++, ArrayBuffer.isView(body))) {
    cov_c08i65p7u().b[35][0]++;
    cov_c08i65p7u().s[101]++;
    return null;
  } else {
    cov_c08i65p7u().b[35][1]++;
  } // Detect form data input from form-data module


  cov_c08i65p7u().s[102]++;

  if ((cov_c08i65p7u().b[38][0]++, body) && (cov_c08i65p7u().b[38][1]++, typeof body.getBoundary === 'function')) {
    cov_c08i65p7u().b[37][0]++;
    cov_c08i65p7u().s[103]++;
    return `multipart/form-data;boundary=${body.getBoundary()}`;
  } else {
    cov_c08i65p7u().b[37][1]++;
  } // Body is stream - can't really do much about this


  cov_c08i65p7u().s[104]++;

  if (body instanceof _stream.default) {
    cov_c08i65p7u().b[39][0]++;
    cov_c08i65p7u().s[105]++;
    return null;
  } else {
    cov_c08i65p7u().b[39][1]++;
  } // Body constructor defaults other things to string


  cov_c08i65p7u().s[106]++;
  return 'text/plain;charset=UTF-8';
}
/**
 * The Fetch Standard treats this as if "total bytes" is a property on the body.
 * For us, we have to explicitly get it with a function.
 *
 * ref: https://fetch.spec.whatwg.org/#concept-body-total-bytes
 *
 * @param {any} obj.body Body object from the Body instance.
 * @returns {number | null}
 */


function getTotalBytes({
  body
}) {
  cov_c08i65p7u().f[22]++;
  cov_c08i65p7u().s[107]++;

  // Body is null or undefined
  if (body === null) {
    cov_c08i65p7u().b[40][0]++;
    cov_c08i65p7u().s[108]++;
    return 0;
  } else {
    cov_c08i65p7u().b[40][1]++;
  } // Body is Blob


  cov_c08i65p7u().s[109]++;

  if ((0, _is.isBlob)(body)) {
    cov_c08i65p7u().b[41][0]++;
    cov_c08i65p7u().s[110]++;
    return body.size;
  } else {
    cov_c08i65p7u().b[41][1]++;
  } // Body is Buffer


  cov_c08i65p7u().s[111]++;

  if (Buffer.isBuffer(body)) {
    cov_c08i65p7u().b[42][0]++;
    cov_c08i65p7u().s[112]++;
    return body.length;
  } else {
    cov_c08i65p7u().b[42][1]++;
  } // Detect form data input from form-data module


  cov_c08i65p7u().s[113]++;

  if ((cov_c08i65p7u().b[44][0]++, body) && (cov_c08i65p7u().b[44][1]++, typeof body.getLengthSync === 'function')) {
    cov_c08i65p7u().b[43][0]++;
    cov_c08i65p7u().s[114]++;
    return (cov_c08i65p7u().b[46][0]++, body.hasKnownLength) && (cov_c08i65p7u().b[46][1]++, body.hasKnownLength()) ? (cov_c08i65p7u().b[45][0]++, body.getLengthSync()) : (cov_c08i65p7u().b[45][1]++, null);
  } else {
    cov_c08i65p7u().b[43][1]++;
  } // Body is stream


  cov_c08i65p7u().s[115]++;
  return null;
}
/**
 * Write a Body to a Node.js WritableStream (e.g. http.Request) object.
 *
 * @param {Stream.Writable} dest The stream to write to.
 * @param obj.body Body object from the Body instance.
 * @returns {void}
 */


function writeToStream(dest, {
  body
}) {
  cov_c08i65p7u().f[23]++;
  cov_c08i65p7u().s[116]++;

  if (body === null) {
    cov_c08i65p7u().b[47][0]++;
    cov_c08i65p7u().s[117]++;
    // Body is null
    dest.end();
  } else {
    cov_c08i65p7u().b[47][1]++;
    cov_c08i65p7u().s[118]++;

    if ((0, _is.isBlob)(body)) {
      cov_c08i65p7u().b[48][0]++;
      cov_c08i65p7u().s[119]++;
      // Body is Blob
      body.stream().pipe(dest);
    } else {
      cov_c08i65p7u().b[48][1]++;
      cov_c08i65p7u().s[120]++;

      if (Buffer.isBuffer(body)) {
        cov_c08i65p7u().b[49][0]++;
        cov_c08i65p7u().s[121]++;
        // Body is buffer
        dest.write(body);
        cov_c08i65p7u().s[122]++;
        dest.end();
      } else {
        cov_c08i65p7u().b[49][1]++;
        cov_c08i65p7u().s[123]++;
        // Body is stream
        body.pipe(dest);
      }
    }
  }
} // Expose Promise


cov_c08i65p7u().s[124]++;
Body.Promise = global.Promise;